Skip to main content
GET
/
servers
/
{serverId}
/
players
Get Online Players
curl --request GET \
  --url https://api.mcmp.app/v1/servers/{serverId}/players \
  --header 'Authorization: Bearer <token>'
{
  "players": [
    {
      "uuid": "<string>",
      "name": "<string>",
      "online": true,
      "lastSeen": "2023-11-07T05:31:56Z",
      "joinTime": "2023-11-07T05:31:56Z",
      "location": {
        "world": "<string>",
        "x": 123,
        "y": 123,
        "z": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string
required

The unique identifier of the server

Response

200 - application/json

Successful response

players
object[]